Loading...
Searching...
No Matches
BALL::RotationalEntropy Class Reference

`#include <BALL/SCORING/COMPONENTS/rotationalEntropy.h>`

Inheritance diagram for BALL::RotationalEntropy:

## Public Member Functions

| RotationalEntropy (ScoringFunction &sf)
double | updateScore ()
void | setLigandIntraMolecular (bool b)
void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual bool | setup ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Definition at line 14 of file rotationalEntropy.h.

## Constructor & Destructor Documentation

## RotationalEntropy()

BALL::RotationalEntropy::RotationalEntropy | ( | ScoringFunction & | sf | ) |

## Member Function Documentation

## setLigandIntraMolecular()

void BALL::RotationalEntropy::setLigandIntraMolecular | ( | bool | b | ) |

virtual

Overloads ScoringComponent::setLigandIntraMolecular() in order to make sure that no one can set ligand_intra_molecular_ to false.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::RotationalEntropy::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

double BALL::RotationalEntropy::updateScore | ( |  | ) |

virtual

Calculate the score for this component (for all interactions that have been set by the last call of update()) and return the score.
The coefficient assigned by the user to this component should be taken into account for the calculation, so that the weighted score is returned.

Reimplemented from BALL::ScoringComponent.